changeset 1101:bef803f15efc

Merge
author amurillo
date Fri, 11 Jul 2014 21:07:48 -0700
parents 6223fcd2049b 88567461a2cd
children de68e6f9139a e291a5c557d1
files
diffstat 6 files changed, 54 insertions(+), 25 deletions(-) [+]
line wrap: on
line diff
--- a/.hgtags	Wed Jul 09 21:55:52 2014 +0000
+++ b/.hgtags	Fri Jul 11 21:07:48 2014 -0700
@@ -261,3 +261,7 @@
 cf22a728521f91a4692b433d39d730a0a1b23155 jdk9-b16
 24152ee0ee1abef54a8bab04c099261dba7bcca5 jdk9-b17
 65abab59f783fcf02ff8e133431c252f9e5f07d5 jdk9-b18
+75a08df650eb3126bab0c4d15241f5886162393c jdk9-b19
+ee4fd72b2ec3d92497f37163352f294aa695c6fb jdk9-b20
+9052803f4d01feda28b3d65f2b64dd457d21c7b6 jdk9-b21
+8e4bdab4c362aadde2d321f968cd503a2f779e2f jdk9-b22
--- a/get_source.sh	Wed Jul 09 21:55:52 2014 +0000
+++ b/get_source.sh	Fri Jul 11 21:07:48 2014 -0700
@@ -25,11 +25,34 @@
 # questions.
 #
 
+to_stderr() {
+    echo "$@" >&2
+}
+
+error() {
+    to_stderr "ERROR: $1"
+    exit ${2:-126}
+}
+
+warning() {
+    to_stderr "WARNING: $1"
+}
+
+version_field() {
+  # rev is typically omitted for minor and major releases
+  field=`echo ${1}.0 | cut -f ${2} -d .`
+  if expr 1 + $field >/dev/null 2> /dev/null; then
+    echo $field
+  else
+    echo -1
+  fi
+}
+
 # Version check
 
 # required
 reqdmajor=1
-reqdminor=5
+reqdminor=4
 reqdrev=0
 
 # requested
@@ -37,34 +60,39 @@
 rqstminor=6
 rqstrev=3
 
+
 # installed
-hgwhere="`which hg 2> /dev/null | grep -v '^no hg in '`"
+hgwhere="`command -v hg`"
 if [ "x$hgwhere" = "x" ]; then
-  echo "ERROR: Could not locate Mercurial command" >&2
-  exit 126
+  error "Could not locate Mercurial command"
 fi
 
-hgversion="`hg --version 2> /dev/null | sed -n -e 's@^Mercurial Distributed SCM (version \(.*\))\$@\1@p'`"
+hgversion="`hg --version 2> /dev/null | sed -n -e 's@^Mercurial Distributed SCM (version \([^+]*\).*)\$@\1@p'`"
 if [ "x${hgversion}" = "x" ] ; then
-  echo "ERROR: Could not determine Mercurial version" >&2
-  exit 126
+  error "Could not determine Mercurial version of $hgwhere"
 fi
 
-hgmajor="`echo $hgversion | cut -f 1 -d .`"
-hgminor="`echo $hgversion | cut -f 2 -d .`"
-hgrev="`echo $hgversion.0 | cut -f 3 -d .`" # rev is omitted for minor and major releases
+hgmajor="`version_field $hgversion 1`"
+hgminor="`version_field $hgversion 2`"
+hgrev="`version_field $hgversion 3`"
+
+if [ $hgmajor -eq -1 -o $hgminor -eq -1 -o $hgrev -eq -1 ] ; then
+  error "Could not determine Mercurial version of $hgwhere from \"$hgversion\""
+fi
+
 
 # Require
 if [ $hgmajor -lt $reqdmajor -o \( $hgmajor -eq $reqdmajor -a $hgminor -lt $reqdminor \) -o \( $hgmajor -eq $reqdmajor -a $hgminor -eq $reqdminor -a $hgrev -lt $reqdrev \) ] ; then
-  echo "ERROR: Mercurial version $reqdmajor.$reqdminor.$reqdrev or later is required. $hgwhere is version $hgversion" >&2
-  exit 126
+  error "Mercurial version $reqdmajor.$reqdminor.$reqdrev or later is required. $hgwhere is version $hgversion"
 fi
 
+
 # Request
 if [ $hgmajor -lt $rqstmajor -o \( $hgmajor -eq $rqstmajor -a $hgminor -lt $rqstminor \) -o \( $hgmajor -eq $rqstmajor -a $hgminor -eq $rqstminor -a $hgrev -lt $rqstrev \) ] ; then
-  echo "WARNING: Mercurial version $rqstmajor.$rqstminor.$rqstrev or later is recommended. $hgwhere is version $hgversion" >&2
+  warning "Mercurial version $rqstmajor.$rqstminor.$rqstrev or later is recommended. $hgwhere is version $hgversion"
 fi
 
+
 # Get clones of all absent nested repositories (harmless if already exist)
 sh ./common/bin/hgforest.sh clone "$@" || exit $?
 
--- a/make/Javadoc.gmk	Wed Jul 09 21:55:52 2014 +0000
+++ b/make/Javadoc.gmk	Fri Jul 11 21:07:48 2014 -0700
@@ -118,7 +118,7 @@
 COPYRIGHT_URL = $(DOCSDIR_URL)/legal/cpyr.html
 
 # Url to bug filing site
-BUG_SUBMIT_URL = http://bugreport.sun.com/bugreport/
+BUG_SUBMIT_URL = http://bugreport.java.com/bugreport/
 
 # Common line for how to submit a bug or rfe
 BUG_SUBMIT_LINE = <a href="$(BUG_SUBMIT_URL)">Submit a bug or feature</a>
@@ -442,7 +442,7 @@
 $(DOCLETAPI_OPTIONS_FILE):
 	$(prep-target)
 	@($(call OptionOnly,$(COMMON_JAVADOCFLAGS)) ; \
-	  $(call OptionOnly,-Xdoclint:none) ; \
+	  $(call OptionOnly,-Xdoclint:all) ; \
 	  $(call OptionPair,-sourcepath,$(RELEASEDOCS_SOURCEPATH)) ; \
 	  $(call OptionPair,-encoding,ascii) ; \
 	  $(call OptionOnly,-breakiterator) ; \
@@ -499,7 +499,7 @@
 $(TAGLETAPI_OPTIONS_FILE):
 	$(prep-target)
 	@($(call OptionOnly,$(COMMON_JAVADOCFLAGS)) ; \
-	  $(call OptionOnly,-Xdoclint:none) ; \
+	  $(call OptionOnly,-Xdoclint:all) ; \
 	  $(call OptionPair,-sourcepath,$(RELEASEDOCS_SOURCEPATH)) ; \
 	  $(call OptionPair,-encoding,ascii) ; \
 	  $(call OptionOnly,-nonavbar) ; \
@@ -527,7 +527,7 @@
 DOMAPI_HEADER := <strong>Common DOM API</strong>
 DOMAPI_BOTTOM := $(call CommonTrademarkBottom,$(DOMAPI_FIRST_COPYRIGHT_YEAR))
 DOMAPI_GROUPNAME := Packages
-DOMAPI_REGEXP := com.sun.java.browser.dom:org.w3c.dom*
+DOMAPI_REGEXP := org.w3c.dom*
 # DOMAPI_PKGS is located in NON_CORE_PKGS.gmk
 
 # The index.html, options, and packages files
@@ -1074,7 +1074,7 @@
 $(TREEAPI_OPTIONS_FILE):
 	$(prep-target)
 	@($(call OptionOnly,$(COMMON_JAVADOCFLAGS)) ; \
-	  $(call OptionOnly,-Xdoclint:none) ; \
+	  $(call OptionOnly,-Xdoclint:all) ; \
 	  $(call OptionPair,-sourcepath,$(RELEASEDOCS_SOURCEPATH)) ; \
 	  $(call OptionPair,-encoding,ascii) ; \
 	  $(call OptionPair,-doctitle,$(TREEAPI_DOCTITLE)) ; \
--- a/make/common/CORE_PKGS.gmk	Wed Jul 09 21:55:52 2014 +0000
+++ b/make/common/CORE_PKGS.gmk	Fri Jul 11 21:07:48 2014 -0700
@@ -39,8 +39,6 @@
     org.w3c.dom.css \
     org.w3c.dom.html \
     org.w3c.dom.stylesheets \
-    org.w3c.dom.traversal \
-    org.w3c.dom.ranges \
     org.omg.stub.javax.management.remote.rmi
 
 #
@@ -294,6 +292,8 @@
     org.w3c.dom.events \
     org.w3c.dom.bootstrap \
     org.w3c.dom.ls \
+    org.w3c.dom.ranges \
+    org.w3c.dom.traversal \
     org.w3c.dom.views \
     org.xml.sax \
     org.xml.sax.ext \
--- a/make/common/NON_CORE_PKGS.gmk	Wed Jul 09 21:55:52 2014 +0000
+++ b/make/common/NON_CORE_PKGS.gmk	Fri Jul 11 21:07:48 2014 -0700
@@ -33,8 +33,7 @@
 # team when determining which APIs to extract javadoc
 # comments from.
 
-DOMAPI_PKGS = com.sun.java.browser.dom \
-    org.w3c.dom \
+DOMAPI_PKGS = org.w3c.dom \
     org.w3c.dom.bootstrap \
     org.w3c.dom.ls \
     org.w3c.dom.ranges \
--- a/make/jprt.properties	Wed Jul 09 21:55:52 2014 +0000
+++ b/make/jprt.properties	Fri Jul 11 21:07:48 2014 -0700
@@ -193,9 +193,7 @@
     ${my.make.rule.test.targets.core},					\
     ${my.make.rule.test.targets.svc},					\
     ${my.test.target.set:TESTNAME=jdk_awt},				\
-    ${my.test.target.set:TESTNAME=jdk_beans1},				\
-    ${my.test.target.set:TESTNAME=jdk_beans2},				\
-    ${my.test.target.set:TESTNAME=jdk_beans3},				\
+    ${my.test.target.set:TESTNAME=jdk_beans},				\
     ${my.test.target.set:TESTNAME=jdk_sound},				\
     ${my.test.target.set:TESTNAME=jdk_swing}